Still works Rated 5 out of 5 stars

FF V23, works fine (I have checkCompatibility 1.3 installed to prevent it being disabled). It's just as brilliant as it always was!

Still usable... #2 Rated 2 out of 5 stars

Support: 0 stars
Function: 5 stars

As of ff13 this add-on can not be installed and activated, even with the add-on compatibility reporter extension installed and activated.
With a hack in the install.rdf-file I was able to dupe ff. On my systems it still works.

You can finde my hacked *.xpi-file here:
http://hpk.homepage.bluewin.ch/download/firefox.html or here:
http://hpk.homepage.bluewin.ch/download/mozilla/unhide-menubar-fx.html

This user has a previous review of this add-on.

Still Usable... Rated 5 out of 5 stars

This was a fine extension, simple, unobtrusive, but powerful in that it would turn any window or popup into a proper FF window with all the usual options. It has not been updated recently but i find that you can still download it and still make it work just fine! However, first you must instal the add-on compatibility reporter extension.. then you can instal it regardless of your FF version (I am on 7.01 today) and it will work..
Amazing that this is still not part of the basic FF!

Great addon, fails in Firefox 6 Rated 5 out of 5 stars

Could we get an update of this for Firefox 6, please (or one that works in all future versions, ideally ;-)

Where Can I upload the unofficial v0.0.15 Rated 1 out of 5 stars

If someone can suggest where i can permanently upload my UnSupported & UnOfficial version 0.0.15 which I previously stated SHOULD support Firefox up to v3.9.x - in case they ever go past v3.6.15 (which is the Official Unhide Menubar v0.0.14 with a modified install dot rdf file and displays in the Add-Ons/Extensions window as ''Unhide Menubar 0.0.15'') I'd be grateful as there seems to be enough people out in the world who'd like to access it. I've set up a Gmail account just for this purpose:
iHopeTh1sWrks at gmail dot com
(I have written it with spaces to avoid possible spamming and Caps are not required & I trust that most people reading this will be able to work out the actual email address)

This user has 2 previous reviews of this add-on.

Update has disappeared Rated 2 out of 5 stars

Rating: 0 You'll have to modify your own if you want this to work, the "mod" has disappeared from Hotfiles and is not apparently available elsewhere. I would give the author an "F" for netizen misbehavior. If you can't update this extension then get out of the way and let someone else take over.

Yes it works Rated 4 out of 5 stars

Thanks for modifying it. Your version runs well on FF3.6

Had me going at first, thinking this extension doesn't work, but the page in the pop up was an Adobe flash video page and it had its own right click menu. What you need to do in this situation is... widen the window out a bit, so you can see blank grey backing to the Adobe flash video page (as the flash video page is normally a fixed size). If you now right click in that grey area you see at the bottom of your list "Show Menu and Toolbars".

Rated 3 out of 5 stars

Changed MaxVersion but doesn't work in 3.6

Rated 5 out of 5 stars

HEY KIM\'s suggestion on how to make this addon work with 3.5 is super easy and works. 1000 thanks for sharing the tip.\r\n\r\nIf you\'re having a problem perhaps it\'s that his explanation is lacking ;)\r\n\r\nDo a search for the folder \"uht@svartvitt.org\"\r\n\r\nWhen you find that folder open it and you\'ll see the "install.rdf" document you have been searching for.\r\n\r\nRight click on the "install.rdf" document and select the "open with" menu item. \r\n\r\nThis should bring up a dialog box with a couple of programs that your computer suggests you use.\r\n\r\nYou need to use "wordpad." If it\'s not on the short list, there should be an option to \'expand" the dialogue box to show more programs to choose from.\r\n\r\nOnce you locate "wordpad" select it to open "install.rdf" and the actual instructions that guide the plug in will pop up on your screen. \r\n\r\nLook for the line that says\r\n 3.0.*\r\n\r\nchange the "0" to a five "5" THAT\'S IT!\r\n\r\nSave the changes and close the document.\r\n\r\nThen start firefox or if it\'s open close it and restart it.\r\n\r\nBy the way closing and opening firefox is HOW YOU RE-INSTALL an extension :)\r\n\r\nIf you did it right, the "show menu and toolbars" should show up again on pop ups that hide the menubar when you right click.

How to suggestion Rated 5 out of 5 stars

Followed KIM L advice using the following link as reference to get to the rdf file
http://kb.mozillazine.org/Editing_an_add-on_to_change_its_compatibility.
I started the process off by going to IE view of this page and selecting the Version 0.0.14. This allowed me to save the xpi file and then follow the article with Kim's update

Rated 4 out of 5 stars

Missing this in 3.5.5.

I'd change the maxVersion # if i could figure out how to then get it to install.

I keep getting an error saying Firefox can't find the install script. 8^(

Rated 5 out of 5 stars

Used this for a long time and missing it in 3.5.5!

Rated 5 out of 5 stars

This has been an invaluable addon. There are times when you really need to override the popup windows lack of menus and toolbars.

Thanks so much for writing one of the best. I've been waiting for an update before moving to 3.5+, and will wait a little longer... hope you can make the changes.

Rated 5 out of 5 stars

I manually edited the "em:maxVersion" value to 3.5.* in the install.rdf file in the .xpi archive and reinstalled and it seems to perform fine for me in both Firefox 3.5 and 3.5.1

Valuable security improvement Rated 5 out of 5 stars

This is an absolutely necessary add-on. I ask you urgently to upgrade it to be compatible with Firefox 3.5. Thank you for having such a great idea.

yes: must have; can't upgrade to 3.5 without it Rated 5 out of 5 stars

Thanks for this excellent add-on. Definitely a must have. I have been delaying upgrade to 3.5 and will continue to wait.

3.5 support? Rated 5 out of 5 stars

Any chance this will be upgraded to support FF 3.5 soon? One of my must have extensions!

easily achieved through the menus .. pretty much Rated 2 out of 5 stars

Firefox3.0 menu bar > Firefox > Preferences > enable Javascript > Advanced > disable or replace context menus > uncheck

This doesn't reinstate the full menu bar, however the location will be visible, and the opening of another tab will reveal the tab bar.

Exactly what I needed! Rated 5 out of 5 stars

I followed Orehp's recommendation, limiting JavaScript's abilities, and it didn't work.
This extension works flawlessly!
I would like it if there was also a hotkey.

Rated 1 out of 5 stars

Tools > Options > Content > Enable Javascript - Advanced > Uncheck "Disable or replace context menu" and "Hide the status bar"